package ru.yandex.autotests.directapi.model.campaigns;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created with IntelliJ IDEA.
 * User: mariabye
 * Date: 11.12.13
 * Time: 10:00
 * To change this template use File | Settings | File Templates.
 */
public class StatGoalsCampaignIDInfoMap<T> extends ModelBeanMap<StatGoalsCampaignIDInfoMap> {

    private static final String STAT_GOALS_CAMPAIGN_ID_INFO = "StatGoalsCampaignIDInfo";
    public static final String CAMPAIGN_ID = "campaignID";
    public static final String CAMPAIGN_IDS = "campaignIDS";

    public StatGoalsCampaignIDInfoMap(String packageName) {
        super(packageName, STAT_GOALS_CAMPAIGN_ID_INFO);
    }

    public StatGoalsCampaignIDInfoMap(T statGoalsCampaignIDInfo) {
        super();
        setBean(statGoalsCampaignIDInfo);
    }

    public StatGoalsCampaignIDInfoMap withCampaignID(Integer campaignID) {
        this.put((CAMPAIGN_ID), campaignID);
        return this;
    }

    public StatGoalsCampaignIDInfoMap withCampaignIDS(int[] campaignIDS) {
        this.put((CAMPAIGN_IDS), campaignIDS);
        return this;
    }
}
